Bug 2151385 - python-starlette-0.24.0 is available
Summary: python-starlette-0.24.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-starlette
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-12-06 22:36 UTC by Upstream Release Monitoring
Modified: 2023-02-10 19:00 UTC (History)
3 users (show)

Fixed In Version: python-starlette-0.24.0-1.fc39 python-starlette-0.24.0-1.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-02-10 18:54:16 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Upstream Release Monitoring 2022-12-06 22:36:08 UTC
Releases retrieved: 0.23.0
Upstream release that is considered latest: 0.23.0
Current version/release in rawhide: 0.22.0-1.fc38
URL: https://starlette.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/36570/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/python-starlette

Comment 1 Ben Beasley 2022-12-06 23:47:11 UTC
Iā€™m going to wait a little bit to see if FastAPI upstream supports Starlette 0.23.0 in a timely manner.

https://github.com/tiangolo/fastapi/pull/5739

Comment 2 Upstream Release Monitoring 2022-12-10 03:07:18 UTC
Releases retrieved: 0.23.1
Upstream release that is considered latest: 0.23.1
Current version/release in rawhide: 0.22.0-1.fc38
URL: https://starlette.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/36570/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/python-starlette

Comment 3 Upstream Release Monitoring 2023-02-07 18:57:21 UTC
Releases retrieved: 0.24.0
Upstream release that is considered latest: 0.24.0
Current version/release in rawhide: 0.22.0-2.fc38
URL: https://starlette.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/36570/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/python-starlette

Comment 4 Ben Beasley 2023-02-07 23:25:18 UTC
Still blocked on FastAPI: https://github.com/tiangolo/fastapi/pull/5739

Comment 5 Ben Beasley 2023-02-08 13:31:00 UTC
With FastAPI 0.90.0, I can update F38/Rawhide to 0.23.0. With an additional patch[1], I can do 0.23.1, which has only one tiny change.

Proceeding to 0.24.0 will probably require core developers of Starlette and/or FastAPI to look at it.

[1] https://github.com/tiangolo/fastapi/pull/5975

Comment 6 Fedora Update System 2023-02-10 18:50:53 UTC
FEDORA-2023-344e4b3d20 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-344e4b3d20

Comment 7 Fedora Update System 2023-02-10 18:54:16 UTC
FEDORA-2023-344e4b3d20 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2023-02-10 18:57:25 UTC
FEDORA-2023-f59adb513b has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-f59adb513b

Comment 9 Fedora Update System 2023-02-10 19:00:28 UTC
FEDORA-2023-f59adb513b has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.